/* donnes */
data etudiants;
input accueil $1-8 annee effectif ;
datalines;
mauvais  1 74
moyen    1 122
bon      1 18
trs bon 1 4
mauvais  2 31
moyen    2 77
bon      2 43
trs bon 2 1
;
run;

proc freq data=etudiants;
weight effectif;
tables accueil*annee /norow nopercent  expected deviation chisq;
run;
proc format; value $regroup 'bon'='bon, trs bon' 'trs bon'='bon, trs bon';run;
proc freq data=etudiants;
format accueil $regroup. ;
weight effectif;
tables accueil*annee /norow nopercent  expected deviation chisq;
run;
/* 5.1 */
proc logistic data=etudiants;
format accueil $regroup. ;
weight effectif;
class accueil (ref='bon, trs bon');
model annee=accueil;
run;

proc logistic data=etudiants;
format accueil $regroup. ;
weight effectif;
class accueil /descending param=glm;
model annee=accueil ;
run;

proc logistic data=etudiants;
format accueil $regroup. ;
weight effectif;
class accueil /param=glm;
model annee=accueil /noint;
run;
/* 5.2.1 */
proc logistic data=etudiants order=data;
weight effectif;
format accueil $regroup. ;
class annee;
model accueil=annee /link=glogit;
run;
/* forme quivalente et tests */
proc catmod data=etudiants order=data;
response logits;
weight effectif;
format accueil $regroup. ;
model accueil=annee/pred=prob;
contrast 'annee 1=annee 2' all_parms 0 0 1 0,all_parms 0 0 0 1 ;
contrast 'accueil aussi mauvais en annee 1 et 2' all_parms 0 0 1 -1 ;
contrast 'mauvais et moyen accueil fusionns' all_parms  1 -1 0 0 ;
contrast 'moyen et bon accueil fusionns' all_parms 1 2 0 0;
run;
/* 5.2.2 */
proc catmod data=etudiants order=data;
response clogits;
weight effectif;
format accueil $regroup. ;
model accueil=annee/pred=prob;
run;
proc catmod data=etudiants order=data;
weight effectif;
response clogits;
format accueil $regroup. ;
model accueil=annee _response_(annee)/pred=prob ;
run;
/* satur quivalent */
proc catmod data=etudiants order=data;
weight effectif;
response clogits;
format accueil $regroup. ;
model accueil=annee |_response_/pred=prob ;
run;
/* 5.2.3 */
proc catmod data=etudiants order=data;
response clogits;
weight effectif;
format accueil $regroup. ;
model accueil=annee/pred=prob;
/* test de la proportionnalit */
contrast 'proport odds ratios ' all_parms 0 0 1 -1/estimate=parm;
run;
proc logistic data=etudiants order=data;
format accueil $regroup. ;
weight effectif;
class annee;
model accueil=annee;
output out=s predprobs=i;
run;
proc print data=s;run;
/* modle quivalent avec odds ratios proportionnels */
proc catmod data=etudiants order=data;
weight effectif;
response clogits;
format accueil $regroup. ;
model accueil=_response_ annee/pred=prob;
run;

/* 5.3 */
proc catmod data=etudiants order=data;
weight effectif;
format accueil $regroup. ;
model accueil*annee=_response_ / pred=freq;
loglin annee|accueil;
contrast 'pas d interactions' annee*accueil 1 1;
contrast 'fusion moyen mauvais' annee*accueil -1 1, accueil -1 1 ;
contrast 'fusion bon moyen' annee*accueil 1 2, accueil 1 2;
run;

proc catmod data=etudiants order=data;
weight effectif;
format accueil $regroup. ;
model accueil*annee=_response_ / pred=freq;
loglin annee accueil;
run;
