/* 11.1 */
proc freq data=cours.actifsred;
tables lr*age*csp;
run;
proc catmod data=cours.actifsred;
model lr*age*dt=_response_ /noprofile nodesign noresponse pred=freq;
loglin lr|age;
run;
proc catmod data=cours.actifsred;
model lr*age=_response_ /noprofile nodesign noresponse pred=freq;
loglin lr|age;
run;
proc catmod data=cours.actifsred;
model lr=age / noprofile nodesign noresponse pred=freq;
run;
/* 11.2 */
proc format;
value $dist  '025-029 kms'='>24 kms'
             '030-034 kms'='>24 kms'
             '035-039 kms'='>24 kms'
             '040-044 kms'='>24 kms'
             '045-049 kms'='>24 kms'; 
run;
proc catmod data=cours.actifsred;
format dt $dist. ;
model lr*age*dipl*csp*dt=_response_ /noprofile noiter nodesign noresponse noparm;
loglin lr|age|dipl|csp|dt @3;
run;
proc catmod data=cours.actifsred;
model lr*age*dipl*csp=_response_ /noprofile noiter nodesign noresponse noparm;
loglin lr|age|dipl|csp ;
run;
proc catmod data=cours.actifsred;
model lr*age*dipl*csp=_response_ /noprofile noiter nodesign noresponse noparm;
loglin lr|age|dipl|csp @3;
run;
proc catmod data=cours.actifsred;
model lr*age*dipl*csp=_response_ /noprofile noiter nodesign noresponse noparm ;
loglin lr|age|dipl|csp @2 lr*dipl*csp lr*age*csp;
run;
/* 11.3 */
proc logistic data=cours.actifsred;
class age dipl csp;
model lr=age dipl csp age*csp dipl*csp ;
run;
proc catmod data=cours.actifsred;
model lr=age dipl csp age*csp dipl*csp/noiter nodesign noresponse noprofile;
run;
proc catmod data=cours.actifsred;
model lr*age*csp*dipl=_response_ /noiter nodesign noparm noresponse noprofile;
loglin lr|csp|age lr|dipl|csp csp|dipl|age;
run;
proc catmod data=cours.actifsred;
model lr*age*csp*dipl=_response_ /noiter nodesign noparm noresponse noprofile;
loglin lr|csp|age lr|dipl|csp ;
run;
proc catmod data=cours.actifsred;
model lr*age*csp=_response_ 
/pred=prob noiter nodesign noresponse noprofile;
loglin lr|csp lr|age csp|age ;
run;
proc catmod data=cours.actifsred;
model lr*csp*age=_response_ /pred=prob noiter nodesign noresponse noprofile;
loglin lr|csp lr|age ;
run;
proc catmod data=cours.actifsred;
model lr=csp age /pred=prob noiter noprofile;
run;
/* slection des variables par stepwise */
proc logistic data=cours.actifsred;
class age dipl csp ;
model lr=age|dipl|csp /selection=backward;
run;
proc logistic data=cours.actifsred;
class age dipl csp ;
model lr=age|dipl|csp /selection=forward;
run;
proc logistic data=cours.actifsred;
format dt $dist. ;
class age dipl csp dt;
model lr=age|dipl|csp|dt /selection=backward;
run;
proc logistic data=cours.actifsred;
format dt $dist. ;
class age dipl csp dt;
model lr=age|dipl|csp|dt /selection=forward;
run;
proc logistic data=cours.actifsred;
format dt $dist. ;
class age dipl csp dt;
model lr=age|dipl|csp|dt  @2/selection=backward;
run;
/* 11.4 */
data w ;set cours.actifsred;
distance=input(substr(dt,5,3),3.0)-1.5;
run;
proc freq data=w;tables distance;run;
proc logistic data=w;
class age dipl csp ; 
model lr=age csp distance;
run;
proc logistic data=w;
class age dipl csp ; 
model lr=age|dipl|csp|distance  @3/selection=backward;
run;
